Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atlassian.bamboo.ww2.actions.comment
Class EditCommentAction

    java.lang.Object
      ActionSupport
          com.atlassian.bamboo.ww2.BambooActionSupport
              com.atlassian.bamboo.webwork.AbstractAction
                  com.atlassian.bamboo.build.AbstractBuildAction
                      com.atlassian.bamboo.build.BuildResultsAction
                          com.atlassian.bamboo.ww2.actions.comment.EditCommentAction

All Implemented Interfaces:
  ErrorCollection, BambooSessionAware, BuildAware, BuildResultsAware, ReturnUrlAware

    public class EditCommentAction

extends BuildResultsAction

Field Summary

Fields inherited from class com.atlassian.bamboo.build.BuildResultsAction
`buildNumber, buildResultsSummaryManager, decorator, extendedAuthorManager, testResultManager`

Fields inherited from class com.atlassian.bamboo.ww2.BambooActionSupport
`buildManager, CONFIRM, cookieCutter`

Constructor Summary
`EditCommentAction()`

Method Summary
`String` | `doBrowse()`
`String` | `doCreate()`
`BuildResults` | `getBuildResults()` Let the UI have the build results instance.
`BuildResultsSummary` | `getBuildResultsSummary()`
`String` | `getCommentContent()`
`void` | `setBuildResults(BuildResults buildResults)`
`void` | `setBuildResultsSummary(BuildResultsSummary buildResultsSummary)`
`void` | `setCommentContent(String commentContent)`
`void` | `setCommentManager(CommentManager commentManager)`
`void` | `validate()` Place the user in the page context

Methods inherited from class com.atlassian.bamboo.build.BuildResultsAction
`doExecute, errorMessage, getBuildNumber, getBuildResultsFromContainer, getExtendedAuthorManager, getFailingSinceForTest, getFailingSinceRelativeTime, getFailingSinceRelativeTime, getNeighbouringSummaries, getPluginManager, getPluginMenuItems, getResponsibleAuthorExistingFailures, getSuccessfulTests, getTestResultManager, isSortByDuration, setBuildNumber, setBuildResultsSummaryManager, setExtendedAuthorManager, setPluginManager, setSortByDuration, setTestResultManager`

Methods inherited from class com.atlassian.bamboo.build.AbstractBuildAction
`getBuild, getBuildKey, getBuildName, getCurrentlyRunningBuild, setBuild, setBuildKey, setBuildName`

Methods inherited from class com.atlassian.bamboo.webwork.AbstractAction
`addFormErrors, doDefault, execute, getAction, getAdministrationConfiguration, getBamboo, getBaseUrl, setAdministrationConfiguration`

Methods inherited from class com.atlassian.bamboo.ww2.BambooActionSupport
`addError, addError, addErrorCollection, addErrorMessage, addErrorMessages, addErrors, addIllegalArgumentException, doesLabelKeyHaveMatchingDescription, getAsPreformattedText, getBambooSession, getBreadCrumbs, getBuildManager, getConglomerateCookieValue, getCookieCutter, getCookieValue, getCurrentUrl, getDescriptionFromLabelKey, getFlushedErrorMessages, getReturnUrl, getUser, getWebItemsForSection, getWebResourceManager, getWebSectionsForLocation, hasAnyErrors, hasBuilds, hasPerm, isEnableSignup, isSelectFieldAndNull, setAuthenticationContext, setBambooPermissionManager, setBuildManager, setCookieCutter, setErrorMessages, setHtmlUtils, setReturnUrl, setWebInterfaceManager, setWebResourceManager`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.atlassian.bamboo.utils.error.ErrorCollection
`getErrorMessages, getErrors, getFieldErrors`

Constructor Detail

### EditCommentAction

    public EditCommentAction()

Method Detail

### validate

    public void validate()

  Description copied from class: `AbstractAction`
  Place the user in the page context

  Overrides:
    `validate` in class `AbstractAction`

### doBrowse

    public String doBrowse()

### doCreate

    public String doCreate()

### getBuildResults

    public BuildResults getBuildResults()

  Description copied from class: `BuildResultsAction`
  Let the UI have the build results instance.

  Specified by:
    `getBuildResults` in interface `BuildResultsAware`
  Overrides:
    `getBuildResults` in class `BuildResultsAction`
  Returns:
    The build results

### setBuildResults

    public void setBuildResults(BuildResults buildResults)

  Specified by:
    `setBuildResults` in interface `BuildResultsAware`
  Overrides:
    `setBuildResults` in class `BuildResultsAction`

### getBuildResultsSummary

    public BuildResultsSummary getBuildResultsSummary()

### setBuildResultsSummary

    public void setBuildResultsSummary(BuildResultsSummary buildResultsSummary)

### getCommentContent

    public String getCommentContent()

### setCommentContent

    public void setCommentContent(String commentContent)

### setCommentManager

    public void setCommentManager(CommentManager commentManager)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Atlassian Software Systems. All Rights Reserved.